Bug 5448 - Major refactoring of starteam tasks
Summary: Major refactoring of starteam tasks
Status: RESOLVED FIXED
Alias: None
Product: Ant
Classification: Unclassified
Component: Optional Tasks (show other bugs)
Version: 1.5
Hardware: All other
: P3 enhancement (vote)
Target Milestone: ---
Assignee: Ant Notifications List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2001-12-16 14:52 UTC by Steve Cohen
Modified: 2021-06-09 07:17 UTC (History)
1 user (show)



Attachments
changed files for this bug (15.14 KB, patch)
2001-12-16 15:09 UTC, Steve Cohen
Details | Diff
new file org/apache/tools/ant/taskdefs/optional/starteam/StarTeamTask.java (8.49 KB, text/plain)
2001-12-16 15:11 UTC, Steve Cohen
Details
new file org/apache/tools/ant/taskdefs/optional/starteam/TreeBasedTask.java (12.15 KB, text/plain)
2001-12-16 15:11 UTC, Steve Cohen
Details
new file /org/apache/tools/ant/taskdefs/optional/starteam/StarTeamCheckout.java (9.77 KB, text/plain)
2001-12-16 15:12 UTC, Steve Cohen
Details
new file org/apache/tools/ant/taskdefs/optional/starteam/StarTeamLabel.java (5.41 KB, text/plain)
2001-12-16 15:13 UTC, Steve Cohen
Details
defaults.properties had wrong class names for new tasks (1.14 KB, patch)
2001-12-18 16:40 UTC, Steve Cohen
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Cohen 2001-12-16 14:52:26 UTC
This is a major refactoring of the Star Team tasks, based on some code that was contributed by the Cruise Control team.  It deprecates the old <starteam> task, replacing it with a much simpler <starteamcheckout> task.  It also features a <starteamlabel> task.  The enhancements in the old task were backported into the Cruise Control code.  This framework implements a visitor pattern which should enable a checkin task to be written in short order.  New documentation reflecting these changes
Comment 1 Steve Cohen 2001-12-16 15:07:17 UTC
I am trying to attach files but there seem to be problems.  I am trying to attach four files:

patches.txt - contains all changes
Four new java files intended to go into org.apache.tools.ant.taskdefs.optional.starteam:
StarTeamTask.java
TreeBasedTask.java
StarTeamCheckout.java
StarTeamLabel.java

If I cannot attach these, I will get them in somehow.

Comment 2 Steve Cohen 2001-12-16 15:09:46 UTC
Created attachment 903 [details]
changed files for this bug
Comment 3 Steve Cohen 2001-12-16 15:11:05 UTC
Created attachment 904 [details]
new file org/apache/tools/ant/taskdefs/optional/starteam/StarTeamTask.java
Comment 4 Steve Cohen 2001-12-16 15:11:44 UTC
Created attachment 905 [details]
new file org/apache/tools/ant/taskdefs/optional/starteam/TreeBasedTask.java
Comment 5 Steve Cohen 2001-12-16 15:12:45 UTC
Created attachment 906 [details]
new file /org/apache/tools/ant/taskdefs/optional/starteam/StarTeamCheckout.java
Comment 6 Steve Cohen 2001-12-16 15:13:25 UTC
Created attachment 907 [details]
new file org/apache/tools/ant/taskdefs/optional/starteam/StarTeamLabel.java
Comment 7 Steve Cohen 2001-12-16 15:14:30 UTC
OK, I got the files in.  This enhancement is now complete in bugzilla
Comment 8 Stephane Bailliez 2001-12-18 14:24:19 UTC
Thanks a lot for all your work ! It has been committed to CVS HEAD.

I changed the taskdefs to the one specified in the docs, that is stcheckout and 
stlabel and set the <startteam> task as deprecated.
Comment 9 Steve Cohen 2001-12-18 16:40:20 UTC
Created attachment 920 [details]
defaults.properties had wrong class names for new tasks
Comment 10 Steve Cohen 2001-12-18 16:41:53 UTC
class names in defaults.properties did not match class names in file.
Comment 11 Steve Cohen 2001-12-19 06:43:20 UTC
I tried to reopen this last night, but I see that it is still marked "resolved
fixed".  Perhaps I do not have the rights to reopen a bug?

The small patch of 12/18/01 must be applied or neither of the new tasks will work.
Comment 12 Stephane Bailliez 2001-12-20 13:51:40 UTC
Fixed in CVS HEAD